ApplePictParserInternal::Pixmap Struct Reference documentation

ApplePictParserInternal::Pixmap Struct Reference

Internal and low level: a class used to read pack/unpack color pixmap (version 2). More...

## Public Member Functions
| Pixmap ()
bool | unpackedData (unsigned char const *pData, int sz, int byteSz, int nSize, std::vector< unsigned char > &res) const
| creates the pixmap from the packdata
MWAWColor | extractColor (const std::vector< unsigned char > &data, size_t rIdx, size_t gIdx, size_t bIdx)
MWAWColor | extractColor (const std::vector< unsigned char > &data, size_t aIdx, size_t rIdx, size_t gIdx, size_t bIdx)
int | computeHeight (MWAWInputStream &input, const int height, const int width, const bool packed, const int szRowSize) const
| computes the height based on available data
bool | readPixmapData (MWAWInputStream &input)
| parses the pixmap data zone
bool | get (MWAWEmbeddedObject &picture) const
| returns the pixmap

## Public Attributes
int | m_rowBytes
| the num of bytes used to store a row
MWAWBox2i | m_rect
| the pixmap rectangle
int | m_version
| the pixmap version
int | m_packType
| the packing format
long | m_packSize
| size of data in the packed state
int | m_resolution [2]
| horizontal/vertical definition
int | m_pixelType
| format of pixel image
int | m_pixelSize
| physical bit by image
int | m_compCount
| logical components per pixels
int | m_compSize
| logical bits by components
long | m_planeBytes
| offset to the next plane
std::shared_ptr< ColorTable > | m_colorTable
| the color table
MWAWBox2i | m_src
| the initial dimension
MWAWBox2i | m_dst
| another final dimension
std::shared_ptr< Region > | m_region
| the region
std::vector< int > | m_indices
| the pixmap indices
std::vector< MWAWColor > | m_colors
| the colors
int | m_mode
| the encoding mode ?

## Friends
std::ostream & | operator<< (std::ostream &o, Pixmap const &f)
| operator<< for Pixmap

## Detailed Description

Internal and low level: a class used to read pack/unpack color pixmap (version 2).

## Constructor & Destructor Documentation

## ◆ Pixmap()

ApplePictParserInternal::Pixmap::Pixmap | ( |  | ) |
| inline

Referenced by operator<<.

## Member Function Documentation

## ◆ computeHeight()

int ApplePictParserInternal::Pixmap::computeHeight | ( | MWAWInputStream & | input,
|  | const int | height,
|  | const int | width,
|  | const bool | packed,
|  | const int | szRowSize ) const
| inline

computes the height based on available data

Referenced by readPixmapData().

## ◆ extractColor() [1/2]

MWAWColor ApplePictParserInternal::Pixmap::extractColor | ( | const std::vector< unsigned char > & | data,
|  | size_t | aIdx,
|  | size_t | rIdx,
|  | size_t | gIdx,
|  | size_t | bIdx )
| inline

## ◆ extractColor() [2/2]

MWAWColor ApplePictParserInternal::Pixmap::extractColor | ( | const std::vector< unsigned char > & | data,
|  | size_t | rIdx,
|  | size_t | gIdx,
|  | size_t | bIdx )
| inline

Referenced by readPixmapData().

## ◆ get()

bool ApplePictParserInternal::Pixmap::get | ( | MWAWEmbeddedObject & | picture | ) | const
| inline

returns the pixmap

Referenced by ApplePictParser::drawPixmap().

## ◆ readPixmapData()

bool ApplePictParserInternal::Pixmap::readPixmapData | ( | MWAWInputStream & | input | ) |
| inline

parses the pixmap data zone

Referenced by ApplePictParser::readPixmap().

## ◆ unpackedData()

bool ApplePictParserInternal::Pixmap::unpackedData | ( | unsigned char const * | pData,
|  | int | sz,
|  | int | byteSz,
|  | int | nSize,
|  | std::vector< unsigned char > & | res ) const
| inline

creates the pixmap from the packdata

Referenced by readPixmapData().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Pixmap const & | f )
| friend

operator<< for Pixmap

## Member Data Documentation

## ◆ m_colors

std::vector<MWAWColor> ApplePictParserInternal::Pixmap::m_colors

the colors

Referenced by get(), Pixmap(), and readPixmapData().

## ◆ m_colorTable

std::shared_ptr<ColorTable> ApplePictParserInternal::Pixmap::m_colorTable

the color table

Referenced by get(), operator<<, Pixmap(), ApplePictParser::readPixmap(), and readPixmapData().

## ◆ m_compCount

int ApplePictParserInternal::Pixmap::m_compCount

logical components per pixels

Referenced by Pixmap(), ApplePictParser::readPixmap(), and readPixmapData().

## ◆ m_compSize

int ApplePictParserInternal::Pixmap::m_compSize

logical bits by components

Referenced by Pixmap(), and ApplePictParser::readPixmap().

## ◆ m_dst

MWAWBox2i ApplePictParserInternal::Pixmap::m_dst

another final dimension

Referenced by ApplePictParser::drawPixmap(), operator<<, Pixmap(), and ApplePictParser::readPixmap().

## ◆ m_indices

std::vector<int> ApplePictParserInternal::Pixmap::m_indices

the pixmap indices

Referenced by get(), Pixmap(), and readPixmapData().

## ◆ m_mode

int ApplePictParserInternal::Pixmap::m_mode

the encoding mode ?

Referenced by Pixmap(), and ApplePictParser::readPixmap().

## ◆ m_packSize

long ApplePictParserInternal::Pixmap::m_packSize

size of data in the packed state

Referenced by Pixmap(), and ApplePictParser::readPixmap().

## ◆ m_packType

int ApplePictParserInternal::Pixmap::m_packType

the packing format

Referenced by Pixmap(), ApplePictParser::readPixmap(), and readPixmapData().

## ◆ m_pixelSize

int ApplePictParserInternal::Pixmap::m_pixelSize

physical bit by image

Referenced by Pixmap(), ApplePictParser::readPixmap(), and readPixmapData().

## ◆ m_pixelType

int ApplePictParserInternal::Pixmap::m_pixelType

format of pixel image

Referenced by Pixmap(), and ApplePictParser::readPixmap().

## ◆ m_planeBytes

long ApplePictParserInternal::Pixmap::m_planeBytes

offset to the next plane

Referenced by Pixmap(), and ApplePictParser::readPixmap().

## ◆ m_rect

MWAWBox2i ApplePictParserInternal::Pixmap::m_rect

the pixmap rectangle

Referenced by get(), operator<<, Pixmap(), ApplePictParser::readPixmap(), and readPixmapData().

## ◆ m_region

std::shared_ptr<Region> ApplePictParserInternal::Pixmap::m_region

the region

Referenced by operator<<, Pixmap(), and ApplePictParser::readPixmap().

## ◆ m_resolution

int ApplePictParserInternal::Pixmap::m_resolution[2]

horizontal/vertical definition

Referenced by operator<<, Pixmap(), and ApplePictParser::readPixmap().

## ◆ m_rowBytes

int ApplePictParserInternal::Pixmap::m_rowBytes

the num of bytes used to store a row

Referenced by operator<<, Pixmap(), ApplePictParser::readPixmap(), readPixmapData(), and unpackedData().

## ◆ m_src

MWAWBox2i ApplePictParserInternal::Pixmap::m_src

the initial dimension

Referenced by operator<<, Pixmap(), and ApplePictParser::readPixmap().

## ◆ m_version

int ApplePictParserInternal::Pixmap::m_version

the pixmap version

Referenced by Pixmap(), and ApplePictParser::readPixmap().

The documentation for this struct was generated from the following file:

- ApplePictParser.cxx